# Reports: getIdMappingFile

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/reports/getIdMappingFile#auth).

Downloads a CSV file (encoded in UTF-8) that contains ID mappings between the previous Search Ads 360 and the new Search Ads 360. For the requested advertiser, the file includes all children entities (e.g. engine accounts, campaigns, ad groups, etc.) that exist in both the previous Search Ads 360 and the new Search Ads 360.
[Try it now](https://developers.google.com/search-ads/v2/reference/reports/getIdMappingFile#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/doubleclicksearch/v2/agency/agencyId/advertiser/advertiserId/idmapping
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `advertiserId` | `long` | DS ID of the advertiser. |
| `agencyId` | `long` | DS ID of the agency. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.reports.getIdMappingFile).